Bug 17353 - Add phone number column to checkout search
Summary: Add phone number column to checkout search
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 22215
  Show dependency treegraph
 
Reported: 2016-09-26 17:42 UTC by Nick Clemens
Modified: 2019-05-30 10:39 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement adds patrons phone numbers to the checkout search results. It is hidden by default and is displayed by configuring the columns for circulation tables (Administration > Additional parameters > Configure columns > Circulation > table_borrowers > untick the phone column).
Version(s) released in:


Attachments
Bug 17353 - Add phone number column to checkout search (2.19 KB, patch)
2016-09-26 17:45 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17353 - Add phone number column to checkout search (2.25 KB, patch)
2016-09-27 05:30 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17353 - Add phone number column to checkout search (5.91 KB, patch)
2019-01-08 18:03 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17353: Add phone number column to checkout search (5.92 KB, patch)
2019-01-09 14:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17353: (follow-up) Adjust config variable for moremember.tt too (1.22 KB, patch)
2019-01-10 20:43 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17353: Add phone number column to checkout search (6.02 KB, patch)
2019-01-13 22:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 17353: (follow-up) Adjust config variable for moremember.tt too (1.28 KB, patch)
2019-01-13 22:15 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-09-26 17:42:59 UTC

    
Comment 1 Nick Clemens 2016-09-26 17:45:08 UTC Comment hidden (obsolete)
Comment 2 Josef Moravec 2016-09-27 05:30:36 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-09-27 14:40:57 UTC
Is it a very useful information to show for everybody?
Would not it better to hide it by default (and use the columns configuration tool)?
Comment 4 Katrin Fischer 2016-10-16 12:36:52 UTC
I like the idea of using the Columns Configuration tool here.

I also wondered about the phone number displaying here - can you explain why the library/libraries have asked for it? I notice we don't show the phone number in the more verbose patron search.
Comment 5 Nick Clemens 2019-01-08 18:03:12 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2019-01-09 14:26:51 UTC
Created attachment 83743 [details] [review]
Bug 17353: Add phone number column to checkout search

This patch adds borrowers.phone as 'Primary phone' in the checkout
search results. It also ads the table to columns configuration

To test:
1 - Perform a checkout search
2 - Note phone is not displayed
3 - Apply patch
4 - Note phone does not display
5 - Visit columns configuration
6 - Unhide the 'phone' column
7 - Note phone displays
8 - Ensure page functions as before patch

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Nick Clemens 2019-01-10 20:43:10 UTC
Created attachment 83775 [details] [review]
Bug 17353: (follow-up) Adjust config variable for moremember.tt too
Comment 8 Katrin Fischer 2019-01-13 22:14:34 UTC
Small favor: can we please use a clearer name for the table, that is consistent with the others? This uses: table_borrowers. Most use *-table and hyphens. Also... patron vs. borrower.
Comment 9 Katrin Fischer 2019-01-13 22:15:28 UTC
Created attachment 83858 [details] [review]
Bug 17353: Add phone number column to checkout search

This patch adds borrowers.phone as 'Primary phone' in the checkout
search results. It also ads the table to columns configuration

To test:
1 - Perform a checkout search
2 - Note phone is not displayed
3 - Apply patch
4 - Note phone does not display
5 - Visit columns configuration
6 - Unhide the 'phone' column
7 - Note phone displays
8 - Ensure page functions as before patch

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2019-01-13 22:15:33 UTC
Created attachment 83859 [details] [review]
Bug 17353: (follow-up) Adjust config variable for moremember.tt too

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2019-01-13 22:15:53 UTC
see comment 8
Comment 12 Nick Clemens 2019-01-28 14:11:38 UTC
Awesome work all!

Pushed to master for 19.05
Comment 13 Martin Renvoize 2019-02-01 12:40:47 UTC
Enhancement, will not be backported to 18.11.x series.